// python wrapper for vtkITKImageToImageFilterULUL object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilterULUL.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterULULNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterULULNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilterULUL_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterULUL *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterULUL::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterULUL_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterULUL *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterULUL::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterULUL_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterULUL *op;

  vtkITKImageToImageFilterULUL  *temp20;
  op = (vtkITKImageToImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterULUL::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterULULMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilterULUL_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilterULUL_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilterULUL_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilterULUL\nC++: vtkITKImageToImageFilterULUL *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterULULDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilterULULStaticNew()
{
  return vtkITKImageToImageFilterULUL::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilterULULNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilterULULStaticNew,
                        PyvtkITKImageToImageFilterULULMethods,
                        (char*)"vtkITKImageToImageFilterULUL",modulename,
                        (char**)vtkITKImageToImageFilterULULDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

