// python wrapper for vtkITKImageToImageFilterUSUL object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilterUSUL.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterUSULNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterUSULNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilterUSUL_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUL *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilterUSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUL::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterUSUL_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUL *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilterUSUL *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUL::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterUSUL_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterUSUL *op;

  vtkITKImageToImageFilterUSUL  *temp20;
  op = (vtkITKImageToImageFilterUSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterUSUL::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterUSULMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilterUSUL_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilterUSUL_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilterUSUL_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilterUSUL\nC++: vtkITKImageToImageFilterUSUL *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterUSULDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilterUSULStaticNew()
{
  return vtkITKImageToImageFilterUSUL::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilterUSULNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilterUSULStaticNew,
                        PyvtkITKImageToImageFilterUSULMethods,
                        (char*)"vtkITKImageToImageFilterUSUL",modulename,
                        (char**)vtkITKImageToImageFilterUSULDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

