// python wrapper for vtkITKRelabelComponentImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKRelabelComponentImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKRelabelComponentImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKRelabelComponentImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterULULNew(char *); }

static PyObject *PyvtkITKRelabelComponentImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  const char    *temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  vtkITKRelabelComponentImageFilter  *temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKRelabelComponentImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKRelabelComponentImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_SetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  int      temp0;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKRelabelComponentImageFilter::SetReleaseDataBeforeUpdateFlag(temp0);
      }
    else
      {
      op->SetReleaseDataBeforeUpdateFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_GetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  int      temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetReleaseDataBeforeUpdateFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataBeforeUpdateFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_SetInPlace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  int      temp0;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKRelabelComponentImageFilter::SetInPlace(temp0);
      }
    else
      {
      op->SetInPlace(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_GetInPlace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  int      temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetInPlace();
      }
    else
      {
      temp20 = op->GetInPlace();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_InPlaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKRelabelComponentImageFilter::InPlaceOn();
      }
    else
      {
      op->InPlaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_InPlaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKRelabelComponentImageFilter::InPlaceOff();
      }
    else
      {
      op->InPlaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_GetNumberOfObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  unsigned long     temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetNumberOfObjects();
      }
    else
      {
      temp20 = op->GetNumberOfObjects();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_GetSizeOfObjectInPixels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  unsigned long     temp0;
  unsigned long     temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetSizeOfObjectInPixels(temp0);
      }
    else
      {
      temp20 = op->GetSizeOfObjectInPixels(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKRelabelComponentImageFilter_GetSizeOfObjectInPhysicalUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKRelabelComponentImageFilter *op;

  unsigned long     temp0;
  float    temp20;
  op = (vtkITKRelabelComponentImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKRelabelComponentImageFilter::GetSizeOfObjectInPhysicalUnits(temp0);
      }
    else
      {
      temp20 = op->GetSizeOfObjectInPhysicalUnits(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKRelabelComponentImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKRelabelComponentImageFilter\nC++: vtkITKRelabelComponentImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKRelabelComponentImageFilter\nC++: vtkITKRelabelComponentImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_SetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.SetReleaseDataBeforeUpdateFlag(int)\nC++: virtual void SetReleaseDataBeforeUpdateFlag (int i);DelegateSetMacro ReleaseDataBeforeUpdateFlag i \n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.GetReleaseDataBeforeUpdateFlag() -> int\nC++: virtual int GetReleaseDataBeforeUpdateFlag ();DelegateGetMacro ReleaseDataBeforeUpdateFlag \n\n Turn inplace  filter operation on/off.\n"},
  {(char*)"SetInPlace",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_SetInPlace, 1,
   (char*)"V.SetInPlace(int)\nC++: virtual void SetInPlace (int i);DelegateSetMacro InPlace bool i \n\n Turn inplace  filter operation on/off.\n"},
  {(char*)"GetInPlace",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetInPlace, 1,
   (char*)"V.GetInPlace() -> int\nC++: virtual int GetInPlace ();DelegateGetMacro InPlace \n\n Turn inplace  filter operation on/off.\n"},
  {(char*)"InPlaceOn",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_InPlaceOn, 1,
   (char*)"V.InPlaceOn()\nC++: void InPlaceOn ();\n\n Turn inplace  filter operation on/off.\n"},
  {(char*)"InPlaceOff",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_InPlaceOff, 1,
   (char*)"V.InPlaceOff()\nC++: void InPlaceOff ();\n\n Turn inplace  filter operation on/off.\n"},
  {(char*)"GetNumberOfObjects",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetNumberOfObjects, 1,
   (char*)"V.GetNumberOfObjects() -> int\nC++: unsigned long GetNumberOfObjects ();return this GetImageFilterPointer GetNumberOfObjects \n\n Get the size of an object in pixels. Can only be\n called after an Update().vtkITKRelabelComponentImageFilter\n"},
  {(char*)"GetSizeOfObjectInPixels",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetSizeOfObjectInPixels, 1,
   (char*)"V.GetSizeOfObjectInPixels(int) -> int\nC++: unsigned long GetSizeOfObjectInPixels (unsigned long obj);return this GetImageFilterPointer GetSizeOfObjectInPixels obj \n\n Get the size of an object in physical units. Can\n only be called after an Update().\n"},
  {(char*)"GetSizeOfObjectInPhysicalUnits",                (PyCFunction)PyvtkITKRelabelComponentImageFilter_GetSizeOfObjectInPhysicalUnits, 1,
   (char*)"V.GetSizeOfObjectInPhysicalUnits(int) -> float\nC++: float GetSizeOfObjectInPhysicalUnits (unsigned long obj);return this GetImageFilterPointer GetSizeOfObjectInPhysicalUnits obj \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKRelabelComponentImageFilterDoc[] = {
  (char*)"vtkITKRelabelComponentImageFilter - Wrapper class around itk::RelabelComponentImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterULUL\n\n",
  (char*)" vtkITKRelabelComponentImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKRelabelComponentImageFilterStaticNew()
{
  return vtkITKRelabelComponentImageFilter::New();
}

PyObject *PyVTKClass_vtkITKRelabelComponentImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKRelabelComponentImageFilterStaticNew,
                        PyvtkITKRelabelComponentImageFilterMethods,
                        (char*)"vtkITKRelabelComponentImageFilter",modulename,
                        (char**)vtkITKRelabelComponentImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterULULNew(modulename));
}

