// python wrapper for vtkITKSmoothingRecursiveGaussianImageFilterSS object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKSmoothingRecursiveGaussianImageFilterSS.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKSmoothingRecursiveGaussianImageFilterSSNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKSmoothingRecursiveGaussianImageFilterSSNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSSNew(char *); }

static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKSmoothingRecursiveGaussianImageFilterSS *op;

  const char    *temp20;
  op = (vtkITKSmoothingRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKSmoothingRecursiveGaussianImageFilterSS::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKSmoothingRecursiveGaussianImageFilterSS *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKSmoothingRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKSmoothingRecursiveGaussianImageFilterSS::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKSmoothingRecursiveGaussianImageFilterSS *op;

  vtkITKSmoothingRecursiveGaussianImageFilterSS  *temp20;
  op = (vtkITKSmoothingRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKSmoothingRecursiveGaussianImageFilterSS::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKSmoothingRecursiveGaussianImageFilterSS  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKSmoothingRecursiveGaussianImageFilterSS::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKSmoothingRecursiveGaussianImageFilterSS *op;

  double   temp0;
  op = (vtkITKSmoothingRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKSmoothingRecursiveGaussianImageFilterSS::SetSigma(temp0);
      }
    else
      {
      op->SetSigma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SetNormalizeAcrossScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKSmoothingRecursiveGaussianImageFilterSS *op;

  int      temp0;
  op = (vtkITKSmoothingRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKSmoothingRecursiveGaussianImageFilterSS::SetNormalizeAcrossScale(temp0);
      }
    else
      {
      op->SetNormalizeAcrossScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKSmoothingRecursiveGaussianImageFilterSSMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKSmoothingRecursiveGaussianImageFilterSS\nC++: vtkITKSmoothingRecursiveGaussianImageFilterSS *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKSmoothingRecursiveGaussianImageFilterSS\nC++: vtkITKSmoothingRecursiveGaussianImageFilterSS *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSigma",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SetSigma, 1,
   (char*)"V.SetSigma(float)\nC++: void SetSigma (double s);this GetImageFilterPointer SetSigma s \n\n"},
  {(char*)"SetNormalizeAcrossScale",                (PyCFunction)PyvtkITKSmoothingRecursiveGaussianImageFilterSS_SetNormalizeAcrossScale, 1,
   (char*)"V.SetNormalizeAcrossScale(int)\nC++: void SetNormalizeAcrossScale (int n);this GetImageFilterPointer SetNormalizeAcrossScale n \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKSmoothingRecursiveGaussianImageFilterSSDoc[] = {
  (char*)"vtkITKSmoothingRecursiveGaussianImageFilterSS - Wrapper class around itk::SmoothingRecursiveGaussianImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSS\n\n",
  (char*)" vtkITKSmoothingRecursiveGaussianImageFilterSS\n\n",
  NULL
};

static vtkObjectBase *vtkITKSmoothingRecursiveGaussianImageFilterSSStaticNew()
{
  return vtkITKSmoothingRecursiveGaussianImageFilterSS::New();
}

PyObject *PyVTKClass_vtkITKSmoothingRecursiveGaussianImageFilterSSNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKSmoothingRecursiveGaussianImageFilterSSStaticNew,
                        PyvtkITKSmoothingRecursiveGaussianImageFilterSSMethods,
                        (char*)"vtkITKSmoothingRecursiveGaussianImageFilterSS",modulename,
                        (char**)vtkITKSmoothingRecursiveGaussianImageFilterSSDoc,
                        PyVTKClass_vtkITKImageToImageFilterSSNew(modulename));
}

