// python wrapper for vtkITKWatershedImageFilterSUL object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKWatershedImageFilterSUL.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKWatershedImageFilterSULNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKWatershedImageFilterSULNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSULNew(char *); }

static PyObject *PyvtkITKWatershedImageFilterSUL_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  const char    *temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  vtkITKWatershedImageFilterSUL  *temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKWatershedImageFilterSUL  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKWatershedImageFilterSUL::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_SetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  double   temp0;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKWatershedImageFilterSUL::SetThreshold(temp0);
      }
    else
      {
      op->SetThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_GetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  double   temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::GetThreshold();
      }
    else
      {
      temp20 = op->GetThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_SetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  double   temp0;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKWatershedImageFilterSUL::SetLevel(temp0);
      }
    else
      {
      op->SetLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  double   temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_SetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  int      temp0;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKWatershedImageFilterSUL::SetReleaseDataBeforeUpdateFlag(temp0);
      }
    else
      {
      op->SetReleaseDataBeforeUpdateFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilterSUL_GetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilterSUL *op;

  int      temp20;
  op = (vtkITKWatershedImageFilterSUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilterSUL::GetReleaseDataBeforeUpdateFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataBeforeUpdateFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKWatershedImageFilterSULMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKWatershedImageFilterSUL\nC++: vtkITKWatershedImageFilterSUL *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKWatershedImageFilterSUL\nC++: vtkITKWatershedImageFilterSUL *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetThreshold",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_SetThreshold, 1,
   (char*)"V.SetThreshold(float)\nC++: void SetThreshold (double d);DelegateSetMacro Threshold d \n\n"},
  {(char*)"GetThreshold",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_GetThreshold, 1,
   (char*)"V.GetThreshold() -> float\nC++: double GetThreshold ();DelegateGetMacro Threshold \n\n"},
  {(char*)"SetLevel",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_SetLevel, 1,
   (char*)"V.SetLevel(float)\nC++: void SetLevel (double d);DelegateSetMacro Level d \n\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_GetLevel, 1,
   (char*)"V.GetLevel() -> float\nC++: double GetLevel ();DelegateGetMacro Level \n\n"},
  {(char*)"SetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_SetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.SetReleaseDataBeforeUpdateFlag(int)\nC++: virtual void SetReleaseDataBeforeUpdateFlag (int i);DelegateSetMacro ReleaseDataBeforeUpdateFlag i \n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKWatershedImageFilterSUL_GetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.GetReleaseDataBeforeUpdateFlag() -> int\nC++: virtual int GetReleaseDataBeforeUpdateFlag ();DelegateGetMacro ReleaseDataBeforeUpdateFlag \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKWatershedImageFilterSULDoc[] = {
  (char*)"vtkITKWatershedImageFilterSUL - Wrapper class around itk::WatershedImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSUL\n\n",
  (char*)" vtkITKWatershedImageFilterSUL\n\n",
  NULL
};

static vtkObjectBase *vtkITKWatershedImageFilterSULStaticNew()
{
  return vtkITKWatershedImageFilterSUL::New();
}

PyObject *PyVTKClass_vtkITKWatershedImageFilterSULNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKWatershedImageFilterSULStaticNew,
                        PyvtkITKWatershedImageFilterSULMethods,
                        (char*)"vtkITKWatershedImageFilterSUL",modulename,
                        (char**)vtkITKWatershedImageFilterSULDoc,
                        PyVTKClass_vtkITKImageToImageFilterSULNew(modulename));
}

