#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkITKAntiAliasBinaryImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKAntiAliasBinaryImageFilterNewCommand();
int vtkITKBilateralImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKBilateralImageFilterNewCommand();
int vtkITKConfidenceConnectedImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKConfidenceConnectedImageFilterNewCommand();
int vtkITKConnectedThresholdImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKConnectedThresholdImageFilterNewCommand();
int vtkITKCurvatureAnisotropicDiffusionImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKCurvatureAnisotropicDiffusionImageFilterNewCommand();
int vtkITKCurvatureAnisotropicDiffusionImageFilterSFCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKCurvatureAnisotropicDiffusionImageFilterSFNewCommand();
int vtkITKDanielssonDistanceMapImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKDanielssonDistanceMapImageFilterNewCommand();
int vtkITKDiscreteGaussianImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKDiscreteGaussianImageFilterNewCommand();
int vtkITKGradientAnisotropicDiffusionImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKGradientAnisotropicDiffusionImageFilterNewCommand();
int vtkITKGradientMagnitudeImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKGradientMagnitudeImageFilterNewCommand();
int vtkITKGrayscaleFillholeImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKGrayscaleFillholeImageFilterNewCommand();
int vtkITKIsolatedConnectedImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKIsolatedConnectedImageFilterNewCommand();
int vtkITKLaplacianSegmentationLevelSetImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKLaplacianSegmentationLevelSetImageFilterNewCommand();
int vtkITKMutualInformationTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKMutualInformationTransformNewCommand();
int vtkITKNeighborhoodConnectedImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKNeighborhoodConnectedImageFilterNewCommand();
int vtkITKNormalizeImageFilterSFCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKNormalizeImageFilterSFNewCommand();
int vtkITKNormalizeImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKNormalizeImageFilterNewCommand();
int vtkITKOtsuThresholdImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKOtsuThresholdImageFilterNewCommand();
int vtkITKPDEDeformableRegistrationFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKPDEDeformableRegistrationFilterNewCommand();
int vtkITKStatisticsImageFilterULULCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKStatisticsImageFilterULULNewCommand();
int vtkITKSmoothingRecursiveGaussianImageFilterSSCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKSmoothingRecursiveGaussianImageFilterSSNewCommand();
int vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSNewCommand();
int vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFNewCommand();
int vtkITKThresholdSegmentationLevelSetImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKThresholdSegmentationLevelSetImageFilterNewCommand();
int vtkITKTobogganImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKTobogganImageFilterNewCommand();
int vtkITKWatershedImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKWatershedImageFilterNewCommand();
int vtkITKWatershedImageFilterSULCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKWatershedImageFilterSULNewCommand();
int vtkITKRelabelComponentImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKRelabelComponentImageFilterNewCommand();
int vtkITKArchetypeImageSeriesReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkITKArchetypeImageSeriesReaderNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkvtkitkcommontcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkvtkitkcommontcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkvtkitkcommontcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkvtkitkcommontcl_Init(interp);
}


int VTK_EXPORT Vtkvtkitkcommontcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkITKAntiAliasBinaryImageFilter"), vtkITKAntiAliasBinaryImageFilterNewCommand,
                  vtkITKAntiAliasBinaryImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKBilateralImageFilter"), vtkITKBilateralImageFilterNewCommand,
                  vtkITKBilateralImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKConfidenceConnectedImageFilter"), vtkITKConfidenceConnectedImageFilterNewCommand,
                  vtkITKConfidenceConnectedImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKConnectedThresholdImageFilter"), vtkITKConnectedThresholdImageFilterNewCommand,
                  vtkITKConnectedThresholdImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKCurvatureAnisotropicDiffusionImageFilter"), vtkITKCurvatureAnisotropicDiffusionImageFilterNewCommand,
                  vtkITKCurvatureAnisotropicDiffusionImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKCurvatureAnisotropicDiffusionImageFilterSF"), vtkITKCurvatureAnisotropicDiffusionImageFilterSFNewCommand,
                  vtkITKCurvatureAnisotropicDiffusionImageFilterSFCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKDanielssonDistanceMapImageFilter"), vtkITKDanielssonDistanceMapImageFilterNewCommand,
                  vtkITKDanielssonDistanceMapImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKDiscreteGaussianImageFilter"), vtkITKDiscreteGaussianImageFilterNewCommand,
                  vtkITKDiscreteGaussianImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKGradientAnisotropicDiffusionImageFilter"), vtkITKGradientAnisotropicDiffusionImageFilterNewCommand,
                  vtkITKGradientAnisotropicDiffusionImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKGradientMagnitudeImageFilter"), vtkITKGradientMagnitudeImageFilterNewCommand,
                  vtkITKGradientMagnitudeImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKGrayscaleFillholeImageFilter"), vtkITKGrayscaleFillholeImageFilterNewCommand,
                  vtkITKGrayscaleFillholeImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKIsolatedConnectedImageFilter"), vtkITKIsolatedConnectedImageFilterNewCommand,
                  vtkITKIsolatedConnectedImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKLaplacianSegmentationLevelSetImageFilter"), vtkITKLaplacianSegmentationLevelSetImageFilterNewCommand,
                  vtkITKLaplacianSegmentationLevelSetImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKMutualInformationTransform"), vtkITKMutualInformationTransformNewCommand,
                  vtkITKMutualInformationTransformCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKNeighborhoodConnectedImageFilter"), vtkITKNeighborhoodConnectedImageFilterNewCommand,
                  vtkITKNeighborhoodConnectedImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKNormalizeImageFilterSF"), vtkITKNormalizeImageFilterSFNewCommand,
                  vtkITKNormalizeImageFilterSFCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKNormalizeImageFilter"), vtkITKNormalizeImageFilterNewCommand,
                  vtkITKNormalizeImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKOtsuThresholdImageFilter"), vtkITKOtsuThresholdImageFilterNewCommand,
                  vtkITKOtsuThresholdImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKPDEDeformableRegistrationFilter"), vtkITKPDEDeformableRegistrationFilterNewCommand,
                  vtkITKPDEDeformableRegistrationFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKStatisticsImageFilterULUL"), vtkITKStatisticsImageFilterULULNewCommand,
                  vtkITKStatisticsImageFilterULULCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKSmoothingRecursiveGaussianImageFilterSS"), vtkITKSmoothingRecursiveGaussianImageFilterSSNewCommand,
                  vtkITKSmoothingRecursiveGaussianImageFilterSSCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS"), vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSNewCommand,
                  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF"), vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFNewCommand,
                  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKThresholdSegmentationLevelSetImageFilter"), vtkITKThresholdSegmentationLevelSetImageFilterNewCommand,
                  vtkITKThresholdSegmentationLevelSetImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKTobogganImageFilter"), vtkITKTobogganImageFilterNewCommand,
                  vtkITKTobogganImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKWatershedImageFilter"), vtkITKWatershedImageFilterNewCommand,
                  vtkITKWatershedImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKWatershedImageFilterSUL"), vtkITKWatershedImageFilterSULNewCommand,
                  vtkITKWatershedImageFilterSULCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKRelabelComponentImageFilter"), vtkITKRelabelComponentImageFilterNewCommand,
                  vtkITKRelabelComponentImageFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkITKArchetypeImageSeriesReader"), vtkITKArchetypeImageSeriesReaderNewCommand,
                  vtkITKArchetypeImageSeriesReaderCommand);
  char pkgName[]="vtkVTKITKCommonTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
