// python wrapper for vtkITKStatisticsImageFilterULUL object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKStatisticsImageFilterULUL.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKStatisticsImageFilterULULNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKStatisticsImageFilterULULNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterULULNew(char *); }

static PyObject *PyvtkITKStatisticsImageFilterULUL_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  const char    *temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  vtkITKStatisticsImageFilterULUL  *temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKStatisticsImageFilterULUL  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKStatisticsImageFilterULUL::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetMinimum();
      }
    else
      {
      temp20 = op->GetMinimum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetMean(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetMean();
      }
    else
      {
      temp20 = op->GetMean();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetSigma();
      }
    else
      {
      temp20 = op->GetSigma();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetVariance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetVariance();
      }
    else
      {
      temp20 = op->GetVariance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKStatisticsImageFilterULUL_GetSum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKStatisticsImageFilterULUL *op;

  double   temp20;
  op = (vtkITKStatisticsImageFilterULUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKStatisticsImageFilterULUL::GetSum();
      }
    else
      {
      temp20 = op->GetSum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKStatisticsImageFilterULULMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKStatisticsImageFilterULUL\nC++: vtkITKStatisticsImageFilterULUL *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKStatisticsImageFilterULUL\nC++: vtkITKStatisticsImageFilterULUL *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMinimum",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetMinimum, 1,
   (char*)"V.GetMinimum() -> float\nC++: double GetMinimum ();DelegateITKOutputMacro GetMinimum \n\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();DelegateITKOutputMacro GetMaximum \n\n"},
  {(char*)"GetMean",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetMean, 1,
   (char*)"V.GetMean() -> float\nC++: double GetMean ();DelegateITKOutputMacro GetMean \n\n"},
  {(char*)"GetSigma",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetSigma, 1,
   (char*)"V.GetSigma() -> float\nC++: double GetSigma ();DelegateITKOutputMacro GetSigma \n\n"},
  {(char*)"GetVariance",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetVariance, 1,
   (char*)"V.GetVariance() -> float\nC++: double GetVariance ();DelegateITKOutputMacro GetVariance \n\n"},
  {(char*)"GetSum",                (PyCFunction)PyvtkITKStatisticsImageFilterULUL_GetSum, 1,
   (char*)"V.GetSum() -> float\nC++: double GetSum ();DelegateITKOutputMacro GetSum \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKStatisticsImageFilterULULDoc[] = {
  (char*)"vtkITKStatisticsImageFilterULUL - Wrapper class around itk::StatisticsImageFilterULUL\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterULUL\n\n",
  (char*)" vtkITKStatisticsImageFilterULUL\n\n",
  NULL
};

static vtkObjectBase *vtkITKStatisticsImageFilterULULStaticNew()
{
  return vtkITKStatisticsImageFilterULUL::New();
}

PyObject *PyVTKClass_vtkITKStatisticsImageFilterULULNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKStatisticsImageFilterULULStaticNew,
                        PyvtkITKStatisticsImageFilterULULMethods,
                        (char*)"vtkITKStatisticsImageFilterULUL",modulename,
                        (char**)vtkITKStatisticsImageFilterULULDoc,
                        PyVTKClass_vtkITKImageToImageFilterULULNew(modulename));
}

